## org.apache.catalina.startup
Class DigesterFactory

    java.lang.Object
      org.apache.catalina.startup.DigesterFactory

public class DigesterFactory
extends java.lang.Object

Wrapper class around the Digester that hide Digester's initialization details

Author:
  Jean-Francois Arcand

Constructor Summary
`DigesterFactory()`

Method Summary
`static org.apache.commons.digester.Digester` `newDigester()` Create a `Digester` parser with no `Rule` associated and XML validation turned off.
`static org.apache.commons.digester.Digester` `newDigester(boolean xmlValidation, boolean xmlNamespaceAware, org.apache.commons.digester.RuleSet rule)` Create a `Digester` parser.
`static org.apache.commons.digester.Digester` `newDigester(org.apache.commons.digester.RuleSet rule)` Create a `Digester` parser with XML validation turned off.
`protected static void` `register(java.lang.String resourceURL, java.lang.String resourcePublicId)` Load the resource and add it to the
`protected static void` `registerLocalSchema()` Utilities used to force the parser to use local schema, when available, instead of the `schemaLocation` XML element.
`protected static void` `turnOnValidation(org.apache.commons.digester.Digester digester)` Turn on DTD and/or validation (based on the parser implementation)
`protected static void` `turnOnXercesValidation(org.apache.commons.digester.Digester digester)` Turn on schema AND DTD validation on Xerces parser.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DigesterFactory

    public DigesterFactory()

Method Detail

### newDigester

    public static org.apache.commons.digester.Digester newDigester()

  Create a `Digester` parser with no `Rule` associated and XML validation turned off.

### newDigester

    public static org.apache.commons.digester.Digester newDigester(org.apache.commons.digester.RuleSet rule)

  Create a `Digester` parser with XML validation turned off.

  Parameters:
    `rule` - an instance of `RuleSet` used for parsing the xml.

### newDigester

    public static org.apache.commons.digester.Digester newDigester(boolean xmlValidation,
                                                                   boolean xmlNamespaceAware,
                                                                   org.apache.commons.digester.RuleSet rule)

  Create a `Digester` parser.

  Parameters:
    `xmlValidation` - turn on/off xml validation
    `xmlNamespaceAware` - turn on/off namespace validation
    `rule` - an instance of `RuleSet` used for parsing the xml.

### registerLocalSchema

    protected static void registerLocalSchema()

  Utilities used to force the parser to use local schema, when available, instead of the `schemaLocation` XML element.

### register

    protected static void register(java.lang.String resourceURL,
                                   java.lang.String resourcePublicId)

  Load the resource and add it to the

### turnOnValidation

    protected static void turnOnValidation(org.apache.commons.digester.Digester digester)

  Turn on DTD and/or validation (based on the parser implementation)

### turnOnXercesValidation

    protected static void turnOnXercesValidation(org.apache.commons.digester.Digester digester)

  Turn on schema AND DTD validation on Xerces parser.

Copyright © 2000-2003 Apache Software Foundation. All Rights Reserved.